package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class KelompokTransaksi
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "KelompokTransaksi_M")
public class KelompokTransaksiVO extends BaseMasterVO {
	@Caption(value="Is Cost In Out")
	private Byte isCostInOut;

	public void setIsCostInOut(Byte isCostInOut) {
		this.isCostInOut = isCostInOut;
	}

	@Column(name = "isCostInOut", nullable = true )
	public Byte getIsCostInOut(){
		return this.isCostInOut;
	}

	@Caption(value="Kode Kelompok Transaksi")
	private Byte kdKelompokTransaksi;

	public void setKdKelompokTransaksi(Byte kdKelompokTransaksi) {
		this.kdKelompokTransaksi = kdKelompokTransaksi;
	}

	@Column(name = "KdKelompokTransaksi", nullable = false )
	public Byte getKdKelompokTransaksi(){
		return this.kdKelompokTransaksi;
	}

	@Caption(value="Kelompok Transaksi")
	private String kelompokTransaksi;

	public void setKelompokTransaksi(String kelompokTransaksi) {
		this.kelompokTransaksi = kelompokTransaksi;
	}

	@Column(name = "KelompokTransaksi", nullable = false , length = 50)
	public String getKelompokTransaksi(){
		return this.kelompokTransaksi;
	}

	@Caption(value="QKelompok Transaksi")
	private Byte qKelompokTransaksi;

	public void setqKelompokTransaksi(Byte qKelompokTransaksi) {
		this.qKelompokTransaksi = qKelompokTransaksi;
	}

	@Column(name = "QKelompokTransaksi", nullable = false )
	public Byte getqKelompokTransaksi(){
		return this.qKelompokTransaksi;
	}


}

